import {world, system} from "@minecraft/server";
import { ActionFormData, MessageFormData, ModalFormData } from "@minecraft/server-ui";



world.afterEvents.itemUse.subscribe(event => {
    let item = event.itemStack.typeId;       
    const players = world.getPlayers();
    for (const player of players) {
// cooldown
if(item === "minecraft:ender_pearl" && !player.hasTag("cooldown")) {
    player.runCommandAsync('tag @p add cooldown')
    player.runCommandAsync('xp -100L @p')
    system.runTimeout(() => {
        player.runCommandAsync('xp 10L @p')
      }, 5); 
      player.runCommandAsync('playsound random.click @p')
    player.sendMessage('§aCooldown lasts for 10 seconds.')
}
if(item === "minecraft:ender_pearl" && player.hasTag("cooldown")) {
    player.sendMessage('§cEnder Pearl is on cooldown.')
    player.runCommandAsync('playsound block.false_permissions @p')
}
// practice
    if(item === "minecraft:wooden_door") {
player.runCommandAsync('setblock 17 0 -1 redstone_block')
    }
    
    if(item === "minecraft:stone_sword") {
      let practice = new ActionFormData();
      practice.title("§l§ePractice§r")
      practice.button("Bot Practice", "textures/items/diamond_axe")
      practice.button("Bridge Practice", "textures/blocks/sandstone_top")
      practice.button("Clutch Practice", "textures/items/stick")
      practice.show(player).then(r => {
        if (r.canceled) return
        switch (r.selection) {
          case 0:
             player.runCommandAsync('setblock 8 15 1 redstone_block')
             player.runCommandAsync('setblock 0 30 0 air')
             player.runCommandAsync('clear @p[tag=!duel]')
             player.runCommandAsync('tag @p[tag=!duel] add res')
             break;
          case 1:
            player.runCommandAsync('clear @p[tag=!duel]')
            player.runCommandAsync('setblock 0 30 0 air')
            player.runCommandAsync('setblock 10 -9 0 redstone_block')
            player.runCommandAsync('tag @p[tag=!duel] add bridge')

            break;
          case 2:
            player.runCommandAsync('clear @p[tag=!duel]')
            player.runCommandAsync('tag @p add 1hit')
            player.runCommandAsync('setblock -8 -9 0 redstone_block')
            player.runCommandAsync('tag @p[tag=!duel] add res')
            player.runCommandAsync('difficulty p')
            player.runCommandAsync('setblock 0 30 0 air')
            break;
        } 
      })
    }
// duel
    if(item === "minecraft:iron_sword") {
        player.runCommandAsync('scoreboard players set @p combocount 1')
        let iron = new ActionFormData();
        iron.title("§l§eSelect your Queue§r")
        iron.button("Unranked Queue","textures/items/iron_sword");
        iron.button("Ranked Queue","textures/items/diamond_sword");
        iron.show(player).then(r => {
            if (r.canceled) return
            switch (r.selection) {
            case 0: 
            let unrank = new ActionFormData();
            unrank.title("§l§eUnranked Queue§r")
            unrank.button("Nodebuff","textures/items/potion_bottle_splash_heal")
            unrank.button("Boxing","textures/items/diamond_sword")
            unrank.button("Sumo","textures/items/beef_cooked")
            unrank.show(player).then(r => {
            if (r.canceled) return
            switch (r.selection) {
                case 0:
                    player.runCommandAsync('setblock -7 15 -6 redstone_block')
                    player.runCommandAsync('tag @p add duel')
                    player.runCommandAsync('clear @p')
                    player.runCommandAsync('tag @p add nodebuff')
                    player.runCommandAsync('setblock 0 30 0 air')
                    break;
                case 1:
                    player.runCommandAsync('setblock -7 15 -6 redstone_block')
                    player.runCommandAsync('tag @p add duel')
                    player.runCommandAsync('clear @p')
                    player.runCommandAsync('tag @p add res')
                    player.runCommandAsync('tag @p add boxing')
                    player.runCommandAsync('setblock 0 30 0 air')
                    break;
                case 2:
                    player.runCommandAsync('setblock -7 15 -6 redstone_block')
                    player.runCommandAsync('tag @p add duel')
                    player.runCommandAsync('clear @p')
                    player.runCommandAsync('tag @p add res')
                    player.runCommandAsync('tag @p add sumo')
                    player.runCommandAsync('setblock 0 30 0 air')
                    player.runCommandAsync('tp @p 0 1000 0')
                    break;
            } 
        })
        break; 
            case 1:
            let rank = new ActionFormData();
            rank.title("§l§eRanked Queue§r")
            rank.button("Nodebuff","textures/items/potion_bottle_splash_heal")
            rank.show(player).then(r => {
            if (r.canceled) return
            switch (r.selection) {
                case 0:                
                    player.runCommandAsync('tag @p add rank')
                    player.runCommandAsync('setblock -7 15 -6 redstone_block')
                    player.runCommandAsync('tag @p add duel')
                    player.runCommandAsync('clear @p')
                    player.runCommandAsync('tag @p add nodebuff')
                    player.runCommandAsync('setblock 0 30 0 air')
                    break;
            }
        })
        break; 
            }
        })
    }
// practice item
    if(item === "minecraft:slime_ball") {
        player.runCommandAsync('kill @e[type=da1:pvpbot]');
        player.runCommandAsync('scoreboard players set @p combocount 1')
        let bot = new ActionFormData();
        bot.title("§l§eBot Practice Setting§r")
        bot.button("Dummy Bot §8[0]")
        bot.button("§2Easy §8Bot §8[1]")
        bot.button("§6Medium §8Bot §8[2]")
        bot.button("§4Hard §8Bot §8[2.7]")
        bot.button("§3God §8Bot §8[3]")
        bot.button("Back to Hub")
        bot.show(player).then(r => {
            if (r.canceled) return
            switch (r.selection) {
                case 0:
                    player.runCommandAsync('execute at @p run summon da1:pvpbot ~~~~~ da1:dummy')
                    break;
                case 1:
                    player.runCommandAsync('execute at @p run summon da1:pvpbot ~~~~~ da1:easy')
                    break;
                case 2:
                    player.runCommandAsync('execute at @p run summon da1:pvpbot ~~~~~ da1:medium')
                    break;
                case 3:
                    player.runCommandAsync('execute at @p run summon da1:pvpbot ~~~~~ da1:hard')
                    break;
                case 4:
                    player.runCommandAsync('execute at @p run summon da1:pvpbot ~~~~~ da1:god')
                    break;
                case 5:
                    player.runCommandAsync('setblock 17 0 -1 redstone_block')                   
            }
        })
    }
    // clutch start
    if(item === "minecraft:emerald") {
        player.runCommandAsync('setblock -15 -9 -10 redstone_block')
    }
    // clutch setting
    if(player.hasTag("clutch") && item === "minecraft:repeater") {
        let clutch = new ModalFormData();
        clutch.title("§l§eClutch Settings§r")
        if (player.hasTag("1hit")) {
            clutch.slider("Number of Hits", 1, 10, 1, 1);
        } if (player.hasTag("2hit")) {
            clutch.slider("Number of Hits", 1, 10, 1, 2);
            }  if (player.hasTag("3hit")) {
                clutch.slider("Number of Hits", 1, 10, 1, 3);
                } if (player.hasTag("4hit")) {
                    clutch.slider("Number of Hits", 1, 10, 1, 4);
                    } if (player.hasTag("5hit")) {
                        clutch.slider("Number of Hits", 1, 10, 1, 5);
                        } if (player.hasTag("6hit")) {
                            clutch.slider("Number of Hits", 1, 10, 1, 6);
                            } if (player.hasTag("7hit")) {
                                clutch.slider("Number of Hits", 1, 10, 1, 7);
                                } if (player.hasTag("8hit")) {
                                    clutch.slider("Number of Hits", 1, 10, 1, 8);
                                    } if (player.hasTag("9hit")) {
                                        clutch.slider("Number of Hits", 1, 10, 1, 9);
                                        } if (player.hasTag("10hit")) {
                                            clutch.slider("Number of Hits", 1, 10, 1, 10);
                                            } 
            clutch.show(player).then(r => {
            if (r.canceled) return;
            const selectedhit = r.formValues[0];
            if (selectedhit == 1) {
                player.runCommandAsync('tag @p add 1hit')
                player.runCommandAsync('tag @p remove 2hit')
                player.runCommandAsync('tag @p remove 3hit')
                player.runCommandAsync('tag @p remove 4hit')
                player.runCommandAsync('tag @p remove 5hit')
                player.runCommandAsync('tag @p remove 6hit')
                player.runCommandAsync('tag @p remove 7hit')
                player.runCommandAsync('tag @p remove 8hit')
                player.runCommandAsync('tag @p remove 9hit')
                player.runCommandAsync('tag @p remove 10hit')
            } else if (selectedhit == 2) {
                player.runCommandAsync('tag @p remove 1hit')
                player.runCommandAsync('tag @p add 2hit')
                player.runCommandAsync('tag @p remove 3hit')
                player.runCommandAsync('tag @p remove 4hit')
                player.runCommandAsync('tag @p remove 5hit')
                player.runCommandAsync('tag @p remove 6hit')
                player.runCommandAsync('tag @p remove 7hit')
                player.runCommandAsync('tag @p remove 8hit')
                player.runCommandAsync('tag @p remove 9hit')
                player.runCommandAsync('tag @p remove 10hit')
            } else if (selectedhit == 3) {
                player.runCommandAsync('tag @p remove 1hit')
                player.runCommandAsync('tag @p remove 2hit')
                player.runCommandAsync('tag @p add 3hit')
                player.runCommandAsync('tag @p remove 4hit')
                player.runCommandAsync('tag @p remove 5hit')
                player.runCommandAsync('tag @p remove 6hit')
                player.runCommandAsync('tag @p remove 7hit')
                player.runCommandAsync('tag @p remove 8hit')
                player.runCommandAsync('tag @p remove 9hit')
                player.runCommandAsync('tag @p remove 10hit')
            } else if (selectedhit == 4) {
                player.runCommandAsync('tag @p remove 1hit')
                player.runCommandAsync('tag @p remove 2hit')
                player.runCommandAsync('tag @p remove 3hit')
                player.runCommandAsync('tag @p add 4hit')
                player.runCommandAsync('tag @p remove 5hit')
                player.runCommandAsync('tag @p remove 6hit')
                player.runCommandAsync('tag @p remove 7hit')
                player.runCommandAsync('tag @p remove 8hit')
                player.runCommandAsync('tag @p remove 9hit')
                player.runCommandAsync('tag @p remove 10hit')
            } else if (selectedhit == 5) {
                player.runCommandAsync('tag @p remove 1hit')
                player.runCommandAsync('tag @p remove 2hit')
                player.runCommandAsync('tag @p remove 3hit')
                player.runCommandAsync('tag @p remove 4hit')
                player.runCommandAsync('tag @p add 5hit')
                player.runCommandAsync('tag @p remove 6hit')
                player.runCommandAsync('tag @p remove 7hit')
                player.runCommandAsync('tag @p remove 8hit')
                player.runCommandAsync('tag @p remove 9hit')
                player.runCommandAsync('tag @p remove 10hit')
            } else if (selectedhit == 6) {
                player.runCommandAsync('tag @p remove 1hit')
                player.runCommandAsync('tag @p remove 2hit')
                player.runCommandAsync('tag @p remove 3hit')
                player.runCommandAsync('tag @p remove 4hit')
                player.runCommandAsync('tag @p remove 5hit')
                player.runCommandAsync('tag @p add 6hit')
                player.runCommandAsync('tag @p remove 7hit')
                player.runCommandAsync('tag @p remove 8hit')
                player.runCommandAsync('tag @p remove 9hit')
                player.runCommandAsync('tag @p remove 10hit')
            } else if (selectedhit == 7) {
                player.runCommandAsync('tag @p remove 1hit')
                player.runCommandAsync('tag @p remove 2hit')
                player.runCommandAsync('tag @p remove 3hit')
                player.runCommandAsync('tag @p remove 4hit')
                player.runCommandAsync('tag @p remove 5hit')
                player.runCommandAsync('tag @p remove 6hit')
                player.runCommandAsync('tag @p add 7hit')
                player.runCommandAsync('tag @p remove 8hit')
                player.runCommandAsync('tag @p remove 9hit')
                player.runCommandAsync('tag @p remove 10hit')
            } else if (selectedhit == 8) {
                player.runCommandAsync('tag @p remove 1hit')
                player.runCommandAsync('tag @p remove 2hit')
                player.runCommandAsync('tag @p remove 3hit')
                player.runCommandAsync('tag @p remove 4hit')
                player.runCommandAsync('tag @p remove 5hit')
                player.runCommandAsync('tag @p remove 6hit')
                player.runCommandAsync('tag @p remove 7hit')
                player.runCommandAsync('tag @p add 8hit')
                player.runCommandAsync('tag @p remove 9hit')
                player.runCommandAsync('tag @p remove 10hit')
            } else if (selectedhit == 9) {
                player.runCommandAsync('tag @p remove 1hit')
                player.runCommandAsync('tag @p remove 2hit')
                player.runCommandAsync('tag @p remove 3hit')
                player.runCommandAsync('tag @p remove 4hit')
                player.runCommandAsync('tag @p remove 5hit')
                player.runCommandAsync('tag @p remove 6hit')
                player.runCommandAsync('tag @p remove 7hit')
                player.runCommandAsync('tag @p remove 8hit')
                player.runCommandAsync('tag @p add 9hit')
                player.runCommandAsync('tag @p remove 10hit')
            } else if (selectedhit == 10) {
                player.runCommandAsync('tag @p remove 1hit')
                player.runCommandAsync('tag @p remove 2hit')
                player.runCommandAsync('tag @p remove 3hit')
                player.runCommandAsync('tag @p remove 4hit')
                player.runCommandAsync('tag @p remove 5hit')
                player.runCommandAsync('tag @p remove 6hit')
                player.runCommandAsync('tag @p remove 7hit')
                player.runCommandAsync('tag @p remove 8hit')
                player.runCommandAsync('tag @p remove 9hit')
                player.runCommandAsync('tag @p add 10hit')
            }
            player.sendMessage("§aSettings saved!§r")
        })
    }
}
})