import { world, system } from "@minecraft/server";
import { ActionFormData, MessageFormData, ModalFormData } from "@minecraft/server-ui";

world.afterEvents.itemUse.subscribe(event => {
  const players = world.getPlayers();
    for (const player of players) {
      const gettheelo = world.scoreboard.getObjective("elo");
      const currentplayerelo = gettheelo.getScore(player)
      const kills = world.scoreboard.getObjective("kill");
      const deaths = world.scoreboard.getObjective("death");
      const totalkills = kills.getScore(player);
      const totaldeaths = deaths.getScore(player);
      const semikdr = totalkills / totaldeaths
      const kdr = semikdr.toFixed(2)
  let item = event.itemStack.typeId;       
    if (item === "minecraft:compass") {
      let profile = new ActionFormData();
      profile.title("§l§eProfile§r")
      profile.button("Settings", "textures/items/repeater")
      profile.button("Stats", "textures/items/paper")
      profile.show(player).then(r => {
        if (r.canceled) return
        switch (r.selection) {
          case 0:
             let form = new ModalFormData();
          form.title("§l§eSettings§r")
          if (player.hasTag("cps")) {
           form.toggle("Cps Counter", true)
           } else {
           form.toggle("Cps Counter", false)
           }
           if (player.hasTag("comboo")) {
            form.toggle("Combo Counter", true)
            } else {
            form.toggle("Combo Counter", false)
            }
           if (player.hasTag("reach")) {
           form.toggle("Reach Counter", true)
           } else {
           form.toggle("Reach Counter", false)
           }
           if (player.hasTag("showsc")) {
            form.toggle("Scoreboard (Boxing)", true)
            } else {
            form.toggle("Scoreboard (Boxing)", false)
            }
           if (player.hasTag("lightning")) {
            form.toggle("Lighting Kill", true)
            } else {
            form.toggle("Lightning Kill", false)
            }
            if (player.hasTag("blood")) {
              form.toggle("Blood Kill (Requires Particle)", true)
              } else {
              form.toggle("Blood Kill (Requires Particle)", false)
              }
              form.slider("Select Time (Default is Noon)", 1, 6, 1, 3);
           form.show(player).then(r => {
            if (r.canceled) return;
            const selectedTime = r.formValues[6];
            if (selectedTime == 1) {
                player.runCommandAsync('time set sunrise');
            } else if (selectedTime == 2) {
              player.runCommandAsync('time set day');
          } else if (selectedTime == 3) {
            player.runCommandAsync('time set noon');
        } else if (selectedTime == 4) {
          player.runCommandAsync('time set sunset');
      } else if (selectedTime == 5) {
        player.runCommandAsync('time set night');
    } else if (selectedTime == 6) {
      player.runCommandAsync('time set midnight');
  }
            if (r.formValues[0]) {
              player.runCommandAsync("tag @s add cps")
            } else {
            player.runCommandAsync("tag @s remove cps")
            }
            if (r.formValues[1]) {
              player.runCommandAsync("tag @s add comboo")
              player.runCommandAsync('scoreboard players set @s combocount 1')
            } else {
              player.runCommandAsync("tag @s remove comboo")
              player.runCommandAsync('scoreboard players set @s combocount 1')
            }
            if (r.formValues[2]) {
              player.runCommandAsync("tag @s add reach")
            } else {
              player.runCommandAsync("tag @s remove reach")
            }
            if (r.formValues[3]) {
              player.runCommandAsync("tag @s add showsc")
            } else {
              player.runCommandAsync("tag @s remove showsc")
            }
            if (r.formValues[4]) {
              player.runCommandAsync("tag @s add lightning")
            } else {
              player.runCommandAsync("tag @s remove lightning")
            }
            if (r.formValues[5]) {
              player.runCommandAsync("tag @s add blood")
            } else {
              player.runCommandAsync("tag @s remove blood")
            }
            player.sendMessage("§aSettings saved!§r")   
          }
        )
        break;
        case 1 :
          let statsform = new ActionFormData();
          statsform.title("§l§eStats§r")
          statsform.body(` > Total Kills: ${totalkills} \n \n > Total Deaths: ${totaldeaths} \n \n > Kill / Death Ratio: ${kdr} \n \n > Ranking Elo: ${currentplayerelo} \n`)
          statsform.button("Done")
          statsform.show(player).then(r => {
            if (r.canceled) return
        })
        break;
      }
    }
  )  
}}
});